Get Iam Settings
Retrieves the current IAM Global Settings configuration including API token TTL, access token TTL, and API token retention period. These settings control the lifetime and retention policies for authentication tokens used in the VCF
VCF IAM Global Settings configuration
{
"accessTokenTtl": 0,
"allUsersGroupEnabled": false,
"apiTokenRetentionPeriod": 0,
"apiTokenTtl": 0,
"jitInactiveUserEnabled": false,
"jitInactiveUserTtl": 0
}
Access Token TTL in minutes
Enable 'ALL_USERS' group in identity broker
API Token Retention period in minutes
API Token TTL in minutes
Enable JIT Inactive User feature
TTL for marking JITed user inactive. Minimum value is 10080 minutes and maximum value is 259200 minutes when jitInactiveUserEnabled is true. When jitInactiveUserEnabled is false the value is set as 0 by default
curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/fleet-management/iam/settings